Page MenuHomePhabricator

Plan to focus on the Developer audience
Closed, ResolvedPublic

Description

The Wikimedia Foundation Engineering reorganization addresses several core audiences, but there is one that still needs a plan: developers. We need to plan the developer offering we envision for developers, and the team required to support them.

A quote that we shouldn't forget. Pasting it here for now:

What do we know about the developer community today? What do we know about their needs? What do we know about users of community-developed products/tools? Do we know how individuals work with each other to develop products? Basically, I'm wondering what kind of research do you need about the developer community to successfully move this project forward.

Related Objects

StatusAssignedTask
ResolvedQgil
ResolvedKeegan
DeclinedNone
ResolvedQgil
ResolvedQgil
InvalidNone
InvalidNone
ResolvedNone
DeclinedQgil
ResolvedQgil
OpenNone
ResolvedTgr
OpenTgr
ResolvedArielGlenn
Resolvedbd808
ResolvedNone
ResolvedDzahn
Resolvedbd808
ResolvedJoe
ResolvedJoe
ResolvedJoe
ResolvedJAllemandou
ResolvedOttomata
Resolvedbd808
Resolvedbd808
OpenNone
DeclinedNone
Resolvedbd808
StalledEvanProdromou
OpenNone

Event Timeline

Qgil created this task.Apr 27 2015, 11:45 AM
Qgil claimed this task.
Qgil raised the priority of this task from to Normal.
Qgil updated the task description. (Show Details)
Qgil added a project: Developer-Advocacy.
Qgil added a subscriber: Qgil.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 27 2015, 11:45 AM
Qgil moved this task from Backlog to Doing on the ECT-May-2015 board.May 5 2015, 4:32 PM
Qgil raised the priority of this task from Normal to High.May 6 2015, 5:35 AM
Qgil moved this task from Backlog to Doing on the ECT-June-2015 board.Jun 18 2015, 9:04 AM
Qgil updated the task description. (Show Details)Jun 18 2015, 9:05 PM
Qgil set Security to None.
Qgil closed this task as Resolved.Jun 29 2015, 9:39 PM

The plan has been published at https://www.mediawiki.org/wiki/Engineering_Community_Team/Developer_Relations_team

Announced in wikitech-l: https://lists.wikimedia.org/pipermail/wikitech-l/2015-June/082255.html

The implementation of this plan (probably fine tuned with the feedback received) will be one of my individual goals in the next quarter.

Resolving.

@Qgil very exciting! Is there any talk on how internal API users (e.g. Wikimedia app teams) can help with this?

@Qgil very exciting! Is there any talk on how internal API users (e.g. Wikimedia app teams) can help with this?

@Qgil very exciting! Is there any talk on how internal API users (e.g. Wikimedia app teams) can help with this?

  • write cool features using the API and encourage showcase articles about them
  • or just share your pain points with the API
  • you can add the project Web-APIs-Hub to relevant phab tasks, though often the task will get closed before the information gets out

https://www.mediawiki.org/wiki/Web_APIs_hub/Contributing has more details.

@Spage k, thanks! will ping you if anything worthwhile gets picked up